headless lms

List students

GET /api/students. List students. Headless LMS People API reference.

GET
/api/students

Requires people:read. People whose org role is Member, invited ones included, with the roles they hold on content items.

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
Lengthlength <= 200
sort?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/students"
{  "rows": [    {      "id": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "image": "string",      "entitlementCount": -9007199254740991,      "avgProgress": -9007199254740991,      "status": "invited",      "joinedAt": "string",      "lastActiveAt": "string",      "items": [        {          "contentId": "string",          "contentType": "course",          "roleKey": "string",          "roleName": "string"        }      ]    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}